Bug 1379123 - [python-tables] tests failures on big endian arches
Summary: [python-tables] tests failures on big endian arches
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: blosc
Version: rawhide
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thibault North
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-25 07:31 UTC by Dan Horák
Modified: 2016-11-07 10:56 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-07 10:56:37 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-09-25 07:31:27 UTC
Some tests fail in python-tables-3.3.0 on big endian arches (ppc64, s390x)

...
======================================================================
ERROR: None (tables.tests.test_vlarray.BloscBitShuffleComprTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_vlarray.py", line 92, in test01_read
    row = vlarray.read(0)[0]
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/vlarray.py", line 811, in read
    listarr = self._read_array(start, stop, step)
  File "tables/hdf5extension.pyx", line 2075, in tables.hdf5extension.VLArray._read_array (tables/hdf5extension.c:22768)
    raise HDF5ExtError(
HDF5ExtError: HDF5 error back trace
  File "../../src/H5Dio.c", line 173, in H5Dread
    can't read data
  File "../../src/H5Dio.c", line 554, in H5D__read
    can't read data
  File "../../src/H5Dchunk.c", line 1904, in H5D__chunk_read
    chunked read failed
  File "../../src/H5Dscatgath.c", line 542, in H5D__scatgath_read
    datatype conversion failed
  File "../../src/H5T.c", line 4832, in H5T_convert
    data type conversion failed
  File "../../src/H5Tconv.c", line 3274, in H5T__conv_vlen
    can't read VL data
  File "../../src/H5Tvlen.c", line 891, in H5T_vlen_disk_read
    Unable to read VL information
  File "../../src/H5HG.c", line 622, in H5HG_read
    unable to protect global heap
  File "../../src/H5HG.c", line 262, in H5HG_protect
    unable to protect global heap
  File "../../src/H5AC.c", line 1262, in H5AC_protect
    H5C_protect() failed.
  File "../../src/H5C.c", line 3574, in H5C_protect
    can't load entry
  File "../../src/H5C.c", line 7954, in H5C_load_entry
    unable to load entry
  File "../../src/H5HGcache.c", line 136, in H5HG_load
    unable to read global heap collection
  File "../../src/H5Fio.c", line 120, in H5F_block_read
    read through metadata accumulator failed
  File "../../src/H5Faccum.c", line 263, in H5F__accum_read
    driver read request failed
  File "../../src/H5FDint.c", line 207, in H5FD_read
    addr overflow, addr = 61458, size=4096, eoa=9332
End of HDF5 error back trace
VLArray._read_array: Problems reading the array data.
======================================================================
ERROR: None (tables.tests.test_vlarray.BloscBitShuffleComprTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_vlarray.py", line 154, in test02a_getitem
    rows2 = vlarray[slc]
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/vlarray.py", line 675, in __getitem__
    return self.read(start, stop, step)
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/vlarray.py", line 811, in read
    listarr = self._read_array(start, stop, step)
  File "tables/hdf5extension.pyx", line 2075, in tables.hdf5extension.VLArray._read_array (tables/hdf5extension.c:22768)
    raise HDF5ExtError(
HDF5ExtError: HDF5 error back trace
  File "../../src/H5Dio.c", line 173, in H5Dread
    can't read data
  File "../../src/H5Dio.c", line 554, in H5D__read
    can't read data
  File "../../src/H5Dchunk.c", line 1904, in H5D__chunk_read
    chunked read failed
  File "../../src/H5Dscatgath.c", line 542, in H5D__scatgath_read
    datatype conversion failed
  File "../../src/H5T.c", line 4832, in H5T_convert
    data type conversion failed
  File "../../src/H5Tconv.c", line 3274, in H5T__conv_vlen
    can't read VL data
  File "../../src/H5Tvlen.c", line 891, in H5T_vlen_disk_read
    Unable to read VL information
  File "../../src/H5HG.c", line 622, in H5HG_read
    unable to protect global heap
  File "../../src/H5HG.c", line 262, in H5HG_protect
    unable to protect global heap
  File "../../src/H5AC.c", line 1262, in H5AC_protect
    H5C_protect() failed.
  File "../../src/H5C.c", line 3574, in H5C_protect
    can't load entry
  File "../../src/H5C.c", line 7954, in H5C_load_entry
    unable to load entry
  File "../../src/H5HGcache.c", line 136, in H5HG_load
    unable to read global heap collection
  File "../../src/H5Fio.c", line 120, in H5F_block_read
    read through metadata accumulator failed
  File "../../src/H5Faccum.c", line 263, in H5F__accum_read
    driver read request failed
  File "../../src/H5FDint.c", line 207, in H5FD_read
    addr overflow, addr = 61458, size=4096, eoa=9332
End of HDF5 error back trace
VLArray._read_array: Problems reading the array data.
======================================================================
ERROR: None (tables.tests.test_vlarray.BloscBitShuffleComprTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_vlarray.py", line 187, in test02b_getitem
    rows = numpy.array(vlarray[:], dtype=numpy.object)
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/vlarray.py", line 675, in __getitem__
    return self.read(start, stop, step)
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/vlarray.py", line 811, in read
    listarr = self._read_array(start, stop, step)
  File "tables/hdf5extension.pyx", line 2075, in tables.hdf5extension.VLArray._read_array (tables/hdf5extension.c:22768)
    raise HDF5ExtError(
HDF5ExtError: HDF5 error back trace
  File "../../src/H5Dio.c", line 173, in H5Dread
    can't read data
  File "../../src/H5Dio.c", line 554, in H5D__read
    can't read data
  File "../../src/H5Dchunk.c", line 1904, in H5D__chunk_read
    chunked read failed
  File "../../src/H5Dscatgath.c", line 542, in H5D__scatgath_read
    datatype conversion failed
  File "../../src/H5T.c", line 4832, in H5T_convert
    data type conversion failed
  File "../../src/H5Tconv.c", line 3274, in H5T__conv_vlen
    can't read VL data
  File "../../src/H5Tvlen.c", line 891, in H5T_vlen_disk_read
    Unable to read VL information
  File "../../src/H5HG.c", line 622, in H5HG_read
    unable to protect global heap
  File "../../src/H5HG.c", line 262, in H5HG_protect
    unable to protect global heap
  File "../../src/H5AC.c", line 1262, in H5AC_protect
    H5C_protect() failed.
  File "../../src/H5C.c", line 3574, in H5C_protect
    can't load entry
  File "../../src/H5C.c", line 7954, in H5C_load_entry
    unable to load entry
  File "../../src/H5HGcache.c", line 136, in H5HG_load
    unable to read global heap collection
  File "../../src/H5Fio.c", line 120, in H5F_block_read
    read through metadata accumulator failed
  File "../../src/H5Faccum.c", line 263, in H5F__accum_read
    driver read request failed
  File "../../src/H5FDint.c", line 207, in H5FD_read
    addr overflow, addr = 61458, size=4096, eoa=9332
End of HDF5 error back trace
VLArray._read_array: Problems reading the array data.
======================================================================
FAIL: None (tables.tests.test_carray.BloscBitShuffleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_carray.py", line 180, in test01_readCArray
    self.assertTrue(allequal(data, obj, self.flavor))
AssertionError: False is not true
======================================================================
FAIL: None (tables.tests.test_carray.BloscBitShuffleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_carray.py", line 239, in test01_readCArray_out_argument
    self.assertTrue(allequal(data, obj, self.flavor))
AssertionError: False is not true
======================================================================
FAIL: None (tables.tests.test_carray.BloscBitShuffleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_carray.py", line 300, in test02_getitemCArray
    self.assertTrue(allequal(data, obj, self.flavor))
AssertionError: False is not true
======================================================================
FAIL: None (tables.tests.test_carray.BloscBitShuffleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_carray.py", line 379, in test03_setitemCArray
    self.assertTrue(allequal(data, obj, self.flavor))
AssertionError: False is not true
======================================================================
FAIL: None (tables.tests.test_vlarray.BloscBitShuffleComprTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_vlarray.py", line 234, in test03_append
    self.flavor))
AssertionError: 0 is not true
======================================================================
FAIL: None (tables.tests.test_vlarray.BloscBitShuffleComprTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.3.0-1.fc26.s390x/usr/lib64/python2.7/site-packages/tables/tests/test_vlarray.py", line 252, in test04_get_row_size
    self.assertEqual(vlarray.get_row_size(0), 2 * vlarray.atom.size)
AssertionError: 0L != 8
----------------------------------------------------------------------
Ran 6173 tests in 307.046s
FAILED (failures=6, errors=3, skipped=17)
...

for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2358337 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3747077

Version-Release number of selected component (if applicable):
python-tables-3.3.0-1.fc26

Comment 1 Orion Poplawski 2016-11-06 16:31:14 UTC
Upstream report:

https://github.com/PyTables/PyTables/issues/583

and upstream of that:

https://github.com/Blosc/c-blosc/issues/181

Comment 2 Ngo Than 2016-11-07 10:56:37 UTC
it's fixed in blosc-1.11.1-2.fc26


Note You need to log in before you can comment on or make changes to this bug.